/*
 *
 * happytimer - Alarm timer for the GNOME notification area
 *
 *  @Copyright (C) 2007, 2009 Kim Jin Chul (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _INTERFACE_H
#define _INTERFACE_H

#include <gtk/gtk.h>
#include "timecheck.h"

GtkWidget *create_menu(void);
GtkWidget *create_timer(void);
GtkWidget *create_alarm_window(void);
GtkWidget *create_preference(void);
GtkWidget *create_imagechooserdialog(void);
GtkWidget *create_extension_box(void);
GtkWidget *create_presetEAdialog(int what, struct presetList *sp);
GtkWidget *create_presetremoveDialog(char *content);

GtkWidget *sound_chooser;

#endif
